Is it possible to run the latest iPhone SDK and xcode on my hackintosh Snow Leopard 10.6.2?

i did google and the lates on that seem to support 10.6.2 was:

Xcode 3.2.3 and iPhone SDK 4 Final for Snow Leopard (10.6.2)
Sign in with your Apple ID - Apple Developer

all i want to do is enable multitasking and add a few features to my app! would that sdk in the link above do that for me? Thanks

My main problem is that i have a slow connection and i wont be able to donwload the 10.6.4 update >_>